<template>
    <div class="">
        <v-menu offset-y>
            <template v-slot:activator="{ on }">
            <v-btn
                color="primary"
                dark
                v-on="on">
                {{$t('message.select_language')}}
            </v-btn>
            </template>
            <v-list>
            <v-list-tile
                v-for="(item, index) in locales"
                :key="index"
                v-on:click='select_lang(item)'
            >
                <v-list-tile-title>{{ item.title }}</v-list-tile-title>
            </v-list-tile>
            </v-list>
        </v-menu>
    </div>
</template>

<script>
    export default {

        mounted() {

        },
        data: () => {
            return {
                locales: [
                    {title: 'ua'},
                    {title: 'en'},
                    {title: 'ru'},
                ],
                locale: 'ua'
            }
        },
        methods: {
            select_lang (e) {
                this.$store.dispatch('set_locale', e.title)
            }
        },
        computed: {

        }
    }
</script>
